<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6" />
	</startup>
	<appSettings>


		<add key="HttpServerUrlString" value="http://192.168.170.15:8089/" />



		<add key="ConncetionRedisString" value="123456@192.168.170.24:6379" />

		<add key="LocalRedisString" value="123456@192.168.170.15:6379" />
		<!--下边的上传文件路径适应与OPCUA本身的一个上传dll -->
		<add key="NcExtendPath" value="Sinumerik\FileSystem\NCExtend\YGMESFILE\" />
		<add key="NcUpLoadPath" value="\card\user\sinumerik\data\prog\YGMESFILE\" />
		<add key="LocalNcPath" value="C:\CCSFTP\" />
		<add key="LogFilePath" value="D:\\logs\\" />
		<add key="VirtualProgram" value="999999.mpf" />
		<add key="ClsSFTP_IP" value="192.168.1.106" />
		<add key="ClsSFTP_Port" value="22" />
		<add key="ClsSFTP_UserName" value="manufact" />
		<add key="ClsSFTP_PWD" value="SUNRISE" />

		<add key="HttpQuestUrlString" value="http://192.168.170.24:9099/api/authority/taskNode/taskNodeCallback" />
		<add key="ClientSettingsProvider.ServiceUri" value="" />


		<add key="Flexible_Roboot_Path" value="192.168.170.71" />
		<add key="Flexible_Machine1_Path" value="" />
		<add key="Flexible_Machine2_Path" value="" />
		<add key="Flexible_Machine3_Path" value="" />
		<add key="Flexible_Machine4_Path" value="opc.tcp://192.168.170.206:4840" />
		<add key="Flexible_Print_Path" value="192.168.170.76" />
		<add key="Flexible_Clean_Path" value="" />
		<add key="Intelligent_Roboot_Path" value="192.168.170.81" />
		<add key="Intelligent_Machine_Path" value="" />
		<add key="Quality_Roboot_Path" value="192.168.170.61" />


		<add key="ConncetionDeviceListString" value="192.168.170.205;4840;OpcUaClient;12345678;OPCUa#192.168.170.206;4840;OpcUaClient;12345678;OPCUa#192.168.170.81;120;;;PLC_S7#192.168.170.61;120;;;PLC_S7#192.168.170.71;120;;;PLC_S7#192.168.170.76;8074;;;Socket" />
		<!-- 下边的上传路径适应于SFTP上传-->
		<add key="ClsSFTPListString" value="192.168.170.206;22;manufact;SUNRISE;/card/user/sinumerik/data/prog/YGMESFILE/;Sinumerik/FileSystem/NCExtend/YGMESFILE/#192.168.170.205;22;manufact;SUNRISE;/card/user/sinumerik/data/prog/YGMESFILE/;Sinumerik/FileSystem/NCExtend/YGMESFILE/" />



	</appSettings>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<system.web>
		<membership defaultProvider="ClientAuthenticationMembershipProvider">
			<providers>
				<add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
			</providers>
		</membership>
		<roleManager defaultProvider="ClientRoleProvider" enabled="true">
			<providers>
				<add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
			</providers>
		</roleManager>
	</system.web>
</configuration>